Read receipts
Módulo Workforce
GET/conversations/{id}/read-receiptsconversations.readReceipts
When the other members last read the conversation; empty while the org has read receipts off. A rule that refuses the request returns 422 with `refusal` and `reason`.
- Requiere la capacidad inbox.notifications.read.
- Alcances de OAuth: inbox.
- Estados de error: 400, 401, 404, 422, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| id | string (uuid) | Sí | Identifier of the conversation. |
Respuesta 200: ConversationReadReceiptPage
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| data | array of ConversationReadReceipt | Sí | Items on this page, in the documented default order. |
| next_cursor | string | null | Sí | Opaque cursor for the next page; null on the last page. |
{
"data": [
{
"membership_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
"full_name": "Carol Nguyen",
"last_read_at": "2026-10-08T14:30:00Z"
}
],
"next_cursor": null
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/conversations/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f/read-receipts" \
-H "Authorization: Bearer $XOS_API_KEY"const { data } = await xos.conversations.readReceipts("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");response = xos.conversations.read_receipts("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")xos conversations read-receipts 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f